/*
 *========================================================================
 *
 *   시스템명 : 요금징수 시스템
 *   파 일 명 : ft_basictbl.pc
 *   작 성 자 : 오효섭 (catacath@neighbor21.co.kr)
 *   작 성 일 : 2012.10.10
 *   수 정 일 :
 *   설    명 : 기초상태테이블의 파일/테이블간 변환처리
 *
 *========================================================================
*/

#include <stdio.h>
#include <stdlib.h>
#include <errno.h>
#include <unistd.h>

#include "bas_tbl.h"
#include "lane_stat_info.h"
#include "chg_struc.h"
#include "file_nm.h"
#include "file_no.h"
#include "dir_path.h"
#include "ora_sql.h"
#include "ipc_def.h"
#include "file_lb.h"
#include "tcs_db_def.h"
#include "fare_tbl.h"

static    struct    write_info         wi;
static    struct    bas_tbl         bas_tbl_f;
static    struct    lane_stat_info  lane_stat_f;
static    T_REVM_BASICINFO       revm_basicinfo;
static    T_REVM_LANEINFO        revm_laneinfo;
static    T_REVM_CARDRATE        revm_cardrate;
static    T_REVM_TABLENO         revm_tableno;
static    T_REVM_SCRATECAR       revm_scratecar;
static    T_REVM_RATE            revm_rate;
static    T_EXTM_LSAMMAXMIN      extm_lsammaxmin;
static    T_EXTM_LOADRATE        extm_loadrate;
static    T_EXTM_LOADMAX         extm_loadmax;
static    T_PUBM_DCCARTYPE       pubm_dccartype;
static    T_REVM_OBURATE         revm_oburate;
static    T_REVM_FAREINFO        revm_fareinfo;

int main()
{
    int     isfd, isrc;
    int     ii, jj, kk, mm;
    struct  lo_lane_ctrl_cmd   llcc;                /* 제어요청 info        */
    struct  lo_lane_ctrl_reply   llcr;                /* 제어반환 info        */
    char    path[128];
    char    temp[3+1];
    char    msg[128];
    char    plz_id[4];

    memset(&lane_stat_f, 0, sizeof(struct lane_stat_info));

    isfd = lb_fopen(&wi, FNO_LANESTATINFO, FINPUT+FC_MANULOCK);
    if(isfd < 0)
    {
        printf("open error\n");
        exit(0);
    }

        while(1)
        {
            isrc = lb_fread(isfd, FNO_LANESTATINFO, &lane_stat_f);

	    if(isrc < 0) break;

	    printf("\n\n");
            printf("영업소명 : [%.03s]\n",lane_stat_f.plz_id);
            printf("차로번호 : [%d]\n",lane_stat_f.lane_no);
            printf("근무일자 : [%04d/%02d/%02d]\n",lane_stat_f.wrk_year, lane_stat_f.wrk_mon, lane_stat_f.wrk_day);
            printf("근무번호 : [%.4s]\n",lane_stat_f.wrk_no);
            printf("최종수신 전송연번 : [%d]\n",lane_stat_f.lst_rev_snd_no);
            printf("보증 전송연번 : [%d]\n",lane_stat_f.warr_snd_no);
            printf("보증지시 전송연번 : [%d]\n",lane_stat_f.warr_cmd_snd_no);
            printf("전일최종 전송연번 : [%d]\n",lane_stat_f.be_last_snd_no);
            printf("근무개시일시 : [%04d/%02d/%02d %02d:%02d:%02d]\n",lane_stat_f.wrk_strt_year, lane_stat_f.wrk_strt_mon, lane_stat_f.wrk_strt_day, lane_stat_f.wrk_strt_hr, lane_stat_f.wrk_strt_min, lane_stat_f.wrk_strt_sec);
            printf("근무종료일시 : [%04d/%02d/%02d %02d:%02d:%02d]\n",lane_stat_f.wrk_end_year, lane_stat_f.wrk_end_mon, lane_stat_f.wrk_end_day, lane_stat_f.wrk_end_hr, lane_stat_f.wrk_end_min, lane_stat_f.wrk_end_sec);

        }

    lb_close(isfd);
}
